# $Revision: 1.6 $, $Date: 2004/01/27 19:42:16 $
#
# TODO:
# - revise/more splitting (which binaries to base, -devel and some -progs?)
# - move some(?) binaries to $PATH
# - probably some patching to work outside /usr/local/karma
#
Summary:	A powerful programmers toolkit (runtime part)
Summary(pl):	Potny zbir narzdzi dla programistw (cz uruchomieniowa)
Name:		karma
Version:	1.7
Release:	2
License:	LGPL (KarmaLib), GPL (modules)
Group:		Libraries
Source0:	ftp://ftp.atnf.csiro.au/pub/software/karma/public/%{name}.src-v%{version}.tar.gz
# Source0-md5:	ac47c8a489cb6a59945e9b50705e6631
Patch0:		%{name}-makefix.patch
Patch1:		%{name}-gkh.patch
Patch2:		%{name}-amd64.patch
URL:		http://www.atnf.csiro.au/karma/
BuildRequires:	/bin/csh
BuildRequires:	XFree86-devel
BuildRequires:	xview-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Karma is a toolkit for interprocess communications, authentication,
encryption, graphics display, user interface and manipulating the
Karma network data structure. It contains KarmaLib (the structured
libraries and API) and a large number of modules (applications) to
perform many standard tasks. A wide range of visualisation
applications have been developed with Karma.

%description -l pl
Karma jest zbiorem narzdzi do komunikacji midzyprocesowej,
uwierzytelniania, szyfrowania, wywietlania grafiki, interfejsw
uytkownika i manipulowania strukturami sieci Karma. Zawiera KarmaLib
(strukturalne biblioteki i API) oraz du liczb moduw (aplikacji)
do wykonywania wielu standardowych zada. Wiele aplikacji do
wizualizacji zostao stworzonych przy uyciu Karmy.

%package devel
Summary:	A powerful programmers toolkit (development part)
Summary(pl):	Potny zbir narzdzi dla programistw (cz programistyczna)
Group:		Development/Libraries
Requires:	%{name} = %{version}

%description devel
Development part of KarmaLib.

%description devel -l pl
Cz KarmaLib przeznaczona dla programistw.

%prep
%setup -q -n %{name}
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
%ifarch %{ix86}
MACHINE=i386
MACHINE_OS=i386_Linux
%endif
%ifarch sparc sparc64
MACHINE=sparc
MACHINE_OS=sparc_Linux
%endif
%ifarch alpha
MACHINE=alpha
MACHINE_OS=alpha_Linux
%endif
%ifarch ppc
MACHINE=powerpc
MACHINE_OS=powerpc_Linux
%endif
%ifarch amd64
MACHINE=amd64
MACHINE_OS=amd64_Linux
%endif
OS=Linux
KARMABASE=%{_libdir}/karma
KARMAROOT=`pwd`
KARMAINCLUDEPATH=`pwd`/include
KARMA_VERSION=`fgrep KARMA_VERSION include/k_version.h |tr '"' ' ' |awk '{print $4}'`
KARMALIBPATH=`pwd`/dist/lib
KARMASTATICLIBPATH=`pwd`/dist/lib
KARMABINPATH=`pwd`/dist/bin
export MACHINE MACHINE_OS OS KARMABASE KARMAROOT KARMAINCLUDEPATH KARMA_VERSION \
	KARMALIBPATH KARMASTATICLIBPATH KARMABINPATH

install -d build/${MACHINE_OS}/{lib,kutil,modules} dist/{bin,lib,admin.bin}

ln -sf `which make` dist/admin.bin/gmake
PATH=$PATH:`pwd`/dist/admin.bin:`pwd`/csh_script
export PATH

csh_script/make_build.libs
%{__make} -C build/${MACHINE_OS}/lib \
	KOPTIMISE="%{rpmcflags}" \
	XLIBPATH=/usr/X11R6/%{_lib} \
	XINCLUDEPATH=/usr/X11R6/include

%{__make} -C source/kutil \
	KOPTIMISE="%{rpmcflags}" \
	ADMINBINPATH=`pwd`/dist/admin.bin

csh_script/make_build.modules
cp source/modules/GNUmakefile build/${MACHINE_OS}/modules
%{__make} -C build/${MACHINE_OS}/modules \
	KOPTIMISE="%{rpmcflags}" \
	XLIBPATH=/usr/X11R6/%{_lib} \
	XINCLUDEPATH=/usr/X11R6/include

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_libdir}/karma,%{_includedir}/karma}

install dist/lib/* $RPM_BUILD_ROOT%{_libdir}
cp -af dist/bin $RPM_BUILD_ROOT%{_libdir}/karma
cp -af csh_script $RPM_BUILD_ROOT%{_libdir}/karma
cp -rf include/{*.h,Xkw,shader} $RPM_BUILD_ROOT%{_includedir}/karma

rm -f www/{README.lib,update-policy,modules.html}
cp -f doc/modules/Overview www/modules.html

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc Release* ToDo doc/{README,update-policy} doc/{modules,widgets}
%attr(755,root,root) %{_libdir}/lib*.so.*.*
%dir %{_libdir}/karma
%dir %{_libdir}/karma/bin
%attr(755,root,root) %{_libdir}/karma/bin/*
%dir %{_libdir}/karma/csh_script
%{_libdir}/karma/csh_script/machine_type
%{_libdir}/karma/csh_script/switch-karma
%attr(755,root,root) %{_libdir}/karma/csh_script/[!ms]*
%attr(755,root,root) %{_libdir}/karma/csh_script/ma[!c]*
%attr(755,root,root) %{_libdir}/karma/csh_script/s[!w]*

%files devel
%defattr(644,root,root,755)
%doc www
%attr(755,root,root) %{_libdir}/lib*.so
%{_includedir}/karma

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: karma.spec,v $
Revision 1.6  2004/01/27 19:42:16  qboosh
- amd64 support: added amd64 patch, pass proper XLIBPATH; release 2

Revision 1.5  2004/01/27 00:27:21  qboosh
- added gkh patch and dummy defs for amd64 (probably !sufficient)

Revision 1.4  2003/05/26 16:25:17  malekith
- massive attack: adding Source-md5

Revision 1.3  2003/05/25 05:49:13  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.2  2002/12/04 21:10:55  qboosh
- ldconfig

Revision 1.1  2002/12/04 20:30:14  qboosh
- first try
